Videos
Generate video upload URL
deprecated
Creates a new video record and returns a presigned URL for uploading the video file to R2 storage. The URL expires after 20 minutes. Deprecated: use POST /api/v2///dam/videos instead.
PUT
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
videos
Generate video upload URL
curl --request PUT \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_type": "<string>",
"filename": "<string>",
"size_bytes": 123,
"title": "<string>",
"description": "<string>",
"video_variants": [
{
"format": "<string>",
"height": 123,
"width": 123
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos"
payload = {
"content_type": "<string>",
"filename": "<string>",
"size_bytes": 123,
"title": "<string>",
"description": "<string>",
"video_variants": [
{
"format": "<string>",
"height": 123,
"width": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_type: '<string>',
filename: '<string>',
size_bytes: 123,
title: '<string>',
description: '<string>',
video_variants: [{format: '<string>', height: 123, width: 123}]
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'content_type' => '<string>',
'filename' => '<string>',
'size_bytes' => 123,
'title' => '<string>',
'description' => '<string>',
'video_variants' => [
[
'format' => '<string>',
'height' => 123,
'width' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos"
payload := strings.NewReader("{\n \"content_type\": \"<string>\",\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"video_variants\": [\n {\n \"format\": \"<string>\",\n \"height\": 123,\n \"width\": 123\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content_type\": \"<string>\",\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"video_variants\": [\n {\n \"format\": \"<string>\",\n \"height\": 123,\n \"width\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content_type\": \"<string>\",\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"video_variants\": [\n {\n \"format\": \"<string>\",\n \"height\": 123,\n \"width\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"constraints": {
"allowed_types": [
"<string>"
],
"max_size_bytes": 123
},
"expires_at": 123,
"id": "<string>",
"path": "<string>",
"upload_url": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Body
application/json
Video payload
⌘I
Generate video upload URL
curl --request PUT \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_type": "<string>",
"filename": "<string>",
"size_bytes": 123,
"title": "<string>",
"description": "<string>",
"video_variants": [
{
"format": "<string>",
"height": 123,
"width": 123
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos"
payload = {
"content_type": "<string>",
"filename": "<string>",
"size_bytes": 123,
"title": "<string>",
"description": "<string>",
"video_variants": [
{
"format": "<string>",
"height": 123,
"width": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_type: '<string>',
filename: '<string>',
size_bytes: 123,
title: '<string>',
description: '<string>',
video_variants: [{format: '<string>', height: 123, width: 123}]
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'content_type' => '<string>',
'filename' => '<string>',
'size_bytes' => 123,
'title' => '<string>',
'description' => '<string>',
'video_variants' => [
[
'format' => '<string>',
'height' => 123,
'width' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos"
payload := strings.NewReader("{\n \"content_type\": \"<string>\",\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"video_variants\": [\n {\n \"format\": \"<string>\",\n \"height\": 123,\n \"width\": 123\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content_type\": \"<string>\",\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"video_variants\": [\n {\n \"format\": \"<string>\",\n \"height\": 123,\n \"width\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content_type\": \"<string>\",\n \"filename\": \"<string>\",\n \"size_bytes\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"video_variants\": [\n {\n \"format\": \"<string>\",\n \"height\": 123,\n \"width\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"constraints": {
"allowed_types": [
"<string>"
],
"max_size_bytes": 123
},
"expires_at": 123,
"id": "<string>",
"path": "<string>",
"upload_url": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}